package com.example.demo.classloader;

import org.springframework.boot.loader.net.protocol.jar.Handler;

import java.io.IOException;
import java.net.URL;
import java.net.URLConnection;

public class XBootURLHandler extends Handler {
    public XBootURLHandler() {
    }

    @Override
    protected URLConnection openConnection(URL url) throws IOException {
        URLConnection urlConnection = super.openConnection(url);
        return urlConnection;
    }

}
